import { jsx } from "react/jsx-runtime";
import { SolarRoof as SolarRoof$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SolarRoof = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SolarRoof", ...props, children: /* @__PURE__ */ jsx(SolarRoof$1, { weight: variant }) });
  }
);
SolarRoof.displayName = "SolarRoof";
Object.assign(SolarRoof, { isGdsIcon: true });
export {
  SolarRoof
};
